EBOOK-POLISH(1)

NAME
ebook-polish - ebook-polish

ebook-polish [seçenekler] input_file [çıktı_dosyası]

Polishing books is all about putting the shine of perfection onto your carefully crafted e-books.

Polishing tries to minimize the changes to the internal code of your e-book. Unlike conversion, it does not flatten CSS, rename files, change font sizes, adjust margins, etc. Every action performs only the minimum set of changes needed for the desired effect.

You should use this tool as the last step in your e-book creation process.

Note that polishing only works on files in the AZW3 veya EPUB formats.

Whenever you pass arguments to ebook-polish that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[SEÇENEKLER]

--add-soft-hyphens, -H
    Add soft hyphens to all words in the book. This allows the book to be rendered better when the text is justified, in readers that do not support hyphenation.

--compress-images, -i
    Kitaptaki resimleri, dosya boyutunu azaltmak için ve resim kalitesini etkilemeden kayıpsız olarak sıkıştır.

--cover, -c
    Path to a cover image. Changes the cover specified in the e-book. If no cover is present, or the cover is not properly identified, inserts a new cover.

--embed-fonts, -e
    Belgede başvurulan ve hala gömülü olmayan tüm yazı tiplerini göm. Bu işlem bilgisayarınızı yazı tipleri için tarar ve bulunurlarsa, belgeye gömülürler. Lütfen bu belgede kullanılan yazı tipleri için gerekli lisansa sahip olduğunuzdan emin olun.

--help, -h
    bu yardım iletisini göster ve çık

--jacket, -j
    Kitabın başına başlık, etiketler, yazarlar, seriler, yorumlar, vs. gibi tüm kitap metadata'sını içeren bir "kitap ceketi" ekle. Önceki herhangi kitap ceketi değiştirilir.

--opf, -o
    Bir OPF dosyasının yolu. Kitabın üstbilgisi OPF dosyasından güncellenir.

--remove-jacket
    Önceden eklenmiş bir kitap ceketi sayfasını sil.

--remove-soft-hyphens
    Remove soft hyphens from all text in the book.

--remove-unused-css, -u
    Remove all unused CSS rules from stylesheets and <style> tags. Some books created from production templates can have a large number of extra CSS rules that don't match any actual content. These extra rules can slow down readers that need to parse them all.

--smarten-punctuation, -p
    Düz metin tire, elipse, tırnak, çift tire, vs. gibi karakterleri tipografik olarak doğru eşitlerine çevir. Algoritmanın bazen yanlış sonuçlar üretebildiğine dikkat edin, özellikle küçülmelerin başında tek tırnak olduğunda.

--subset-fonts, -f
    Yazı tiplerinin alt kümelenmesi gömülü bir yazı tipinin kitapta yalnızca bu yazı tipinden karakterleri içerecek hale indirgenmesi demektir. Bu yazı tipi dosyalarının boyutlarını oldukça azaltır (yarıya düşürmesine çokça rastlanır). Örneğin, kitap başlıklar için özel bir yazı tipi kullanıyorsa, alt kümeleme bu yazı tipinin yalnızca kitaptaki asıl başlıklarda kullanılan karakterleri kullanacak şekilde indirgenmesini sağlar. Veya gömülü yazı tipi bir yazı tipinin kalın ve yatık sürümlerini gömüyorsa, ama kalın ve yatık metne çok az rastlanıyorsa veya yoklarsa, kalın ve yatık yazı tipleri yalnızca birkaç karaktere indirgenebilir veya tamamen kaldırılabilir. Alt kümelemenin tek eksi tarafı, ileri bir tarihte kitaplara daha fazla metin koymaya karar verdiğinizde, yeni eklenen metnin alt kümelenmiş yazı tipi tarafından kapsanmayabileceğidir.

--upgrade-book, -U
    Upgrade the internal structures of the book, if possible. For instance, upgrades EPUB 2 books to EPUB 3 books.

--verbose
    Daha ayrıntılı çıktı üret, hata ayıklama için faydalıdır.

--version
    programın sürüm numarasını göster ve çık

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal